## org.mortbay.http.handler
Class ErrorPageHandler

    java.lang.Object
      |
      +--org.mortbay.http.handler.AbstractHttpHandler
            |
            +--org.mortbay.http.handler.ErrorPageHandler

All Implemented Interfaces:
  HttpHandler, LifeCycle, java.io.Serializable

public class ErrorPageHandler
extends AbstractHttpHandler

Handler for Error pages A handler that is registered at the org.mortbay.http.ErrorHandler context attributed and called by the HttpResponse.sendError method to write a error page.

Version:
  $Id: ErrorPageHandler.java,v 1.1.2.3 2004/02/29 18:38:47 gregwilkins Exp $
Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`ErrorPageHandler()`

Method Summary
`void` `handle(java.lang.String pathInContext, java.lang.String pathParams, HttpRequest request, HttpResponse response)` Handle a request.

Methods inherited from class org.mortbay.http.handler.AbstractHttpHandler
`getHttpContext, getName, handleTrace, initialize, isStarted, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ErrorPageHandler

    public ErrorPageHandler()

Method Detail

### handle

    public void handle(java.lang.String pathInContext,
                       java.lang.String pathParams,
                       HttpRequest request,
                       HttpResponse response)
                throws HttpException,
                       java.io.IOException

  Description copied from interface: `HttpHandler`
  Handle a request. Note that Handlers are tried in order until one has handled the request. i.e. until request.isHandled() returns true. In broad terms this means, either a response has been commited or request.setHandled(true) has been called.

  Parameters:
    `pathInContext` - The context path
    `pathParams` - Path parameters such as encoded Session ID
    `request` - The HttpRequest request
    `response` - The HttpResponse response
    `HttpException`
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.